Summary:	Personal organizer
Summary(pl):	Osobisty organizer
Name:		osmo
Version:	0.2.8
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Productivity
URL:		http://clayo.org/osmo/
Source0:	http://downloads.sourceforge.net/%{name}-pim/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-configure.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	hicolor-icon-theme
Requires:	tzdata
Requires:	xdg-utils

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	gtkspell-devel
BuildRequires:	libical-devel
BuildRequires:	libgringotts-devel
BuildRequires:	libnotify-devel
BuildRequires:	libsyncml-devel
BuildRequires:	libxml2-devel

%description
Osmo is a handy personal organizer which includes calendar, tasks manager and
address book modules. It was designed to be a small, easy to use and good
looking PIM tool to help to manage personal information. In current state the
organizer is quite convenient in use - for example, user can perform nearly
all operations using keyboard. Also, a lot of parameters are configurable to
meet user preferences.

%description -l pl
Osmo to podręczny organizer, zawierający kalendarz, menedżer zadań i książkę
adresową. W zamierzeniu był małym, prostym w obsłudze i dobrze wyglądającym 
menedżerem informacji osobistych. Osmo jest bardzo wygodny - niemal wszystkie
operacje można wykonać za pomocą klawiatury. Program udostępnia wiele opcji,
które użytkownik może zmienić, by program bardziej mu odpowiadał.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-backup=yes --enable-printing=yes \
  --with-gringrotts --with-libical --with-libsyncml
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

# icon
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

# Remove empty directory.
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/

%find_lang %{name}

desktop-file-install --vendor="fedora" --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%doc README.syncml
%doc TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%dir %{_datadir}/sounds/osmo
%{_datadir}/sounds/osmo/alarm.wav

%changelog
* Tue Nov 03 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.8-1
- Version bump to 0.2.8. (Red Hat Bugzilla #512626)
  * Encrypted data backup.
  * Exporting tasks to iCal file.
  * Text attributes are handled now in day notes editor.
  * Default alarm sound for task reminder.
  * Option to ignore weekend days in date calculator.
  * Added new calendar marker for birthdays.
  * Locale settings are used by default.
  * Slightly improved iCal support.
  * Unencrypted notes implemented.
  * Calendar printing improvements.
  * Spell checker support.
  * Showing map location of selected contact using Google Maps.
  * The order and width of columns is configurable.
  * System tray support improvements.
  * Many small improvements and fixes.
  * Translation updates: ca, cs, de, el, es, fi, fr, it, jp, nl, pl, ru, sv,
    tr and uk.
  * http://clayo.org/osmo/ChangeLog
- Fix for crash due to SIGABRT merged upstream.
- Updated the Source0 URL.
- Added 'Requires: xdg-utils' and 'BuildRequires: gtkspell-devel'.

* Sat Jul 25 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.2.4-7
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.4-6
- Fixed configure to ensure correct usage of CFLAGS and CPPFLAGS, and respect
  the environment's settings.

* Thu Apr 02 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.4-5
- Reenabled syncml support because libsyncml has been reverted. (Red Hat
  Bugzilla #479954)

* Thu Feb 26 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.2.4-4
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.2.4-3
- Temporarily disabled syncml support until Osmo works with libsyncml-0.5.0.
  (Red Hat Bugzilla #479954)

* Sun Dec 14 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.4-2
- Fixed crash due to SIGABRT using patch written by Tomasz Maka.

* Mon Nov 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.4-1
- Version bump to 0.2.4. (Red Hat Bugzilla #464484)
  * Exporting calendar events to iCal file.
  * Preliminary calendar and tasks list printing.
  * Improved birthdays browser.
  * Option to save data after every modification.
  * Global notification command for tasks.
  * Added --tinygui commandline option.
  * Many bug fixes and enhancements.
  * A temporary birthday logo.
  * Translation updates: cs, de, es, fr, ja, nl, pl and tr.
  * http://clayo.org/osmo/ChangeLog
- Timezone information fix accepted by upstream.

* Sun Jul 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.2-2
- Added post and postun scriptlets to update Gtk icon cache.

* Sun Jul 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.2-1
- Version bump to 0.2.2.
- Added 'Requires: tzdata' and fixed the sources since libical does not provide
  timezone information anymore.
- Added 'BuildRequires: hicolor-icon-theme' and moved icons to
  /usr/share/icons/hicolor from /usr/share/pixmaps.

* Sun Feb 24 2008 David Nielsen <gnomeuser@gmail.com> - 0.2.0-2
- Rebuild for new libical.

* Sat Feb 09 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.2.0-1
- Mass rebuild for new GCC... Done
- Version jump... Updated

* Mon Dec 24 2007 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 0.1.6-1
- Christmas gift: new version... Updated
- Some indents to make more readable... Added

* Tue Dec 04 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.4-1
- Version jump

* Fri Nov 23 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-7
- Make flags... Fixed

* Wed Nov 21 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-6
- Desktop file name... Fixed
- RPM_OPT_FLAGS... Fixed [without bumping new release]

* Wed Nov 21 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-5
- Make flags... Fixed

* Wed Nov 21 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-4
- Make flags... Fixed
- Desktop file installation... Fixed
- Pixmaps directory owning... Fixed

* Tue Nov 20 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-3
- Doubled translations... Fixed
- Timestamps... Fixed

* Sun Nov 18 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-2
- Forgot about translations... Fixed
- Wrong icon path in osmo.desktop... Fixed

* Sun Nov 18 2007 Jakub 'Livio' Rusinek <liviopl.pl@gmail.com> - 0.1.2-1
- Initial release
